io.undertow.security.handlers

## Class NotificationReceiverHandler

- java.lang.Object
- - io.undertow.security.handlers.NotificationReceiverHandler

All Implemented Interfaces:
  HttpHandler

    public class NotificationReceiverHandler
    extends Object
    implements HttpHandler

A `HttpHandler` to register a list of `NotificationReceiver` instances with the current `SecurityContext`.

Author:
  Darran Lofthouse

### Constructor Summary

Constructors
Constructor and Description
`NotificationReceiverHandler(HttpHandler next, Collection<NotificationReceiver> receivers)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `handleRequest(HttpServerExchange exchange)` Handle the request.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NotificationReceiverHandler

    public NotificationReceiverHandler(HttpHandler next,
                                       Collection<NotificationReceiver> receivers)

### Method Detail

#### handleRequest

    public void handleRequest(HttpServerExchange exchange)
                       throws Exception

Description copied from interface: `HttpHandler`
Handle the request.

Specified by:
  `handleRequest` in interface `HttpHandler`
Parameters:
  `exchange` - the HTTP request/response exchange
Throws:
  `Exception`